#include "effect_confetti.h"
#include "config.h"
#include "functions.h"
#include "prototypes.h"

void ConfettiEffect::loop() {
	fadeToBlackBy(leds, LED_COUNT, 1);
	for (int i=0; i<EFFECT_CONFETTI_PIXELS_PER_LOOP; i++) {
		addPixelColor(random16(LED_COUNT), CHSV(baseHue + random8(64), 200, 255));
	}
}

boolean ConfettiEffect::can_be_shown_with_clock() { return true; };
